Bug 1418160

Summary: kernel 4.9.6 throws ACPI errors; cannot connect WiFi; core 2 goes near 100%
Product: [Fedora] Fedora Reporter: bug_fedora
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 25CC: cz172638, gansalmon, ichavero, itamar, jonathan, kernel-maint, madhu.chinakonda, mchehab, nobodyless, rupert.thurner
Target Milestone: ---Flags: jforbes: needinfo?
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-04-28 17:18:57 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description bug_fedora 2017-02-01 04:14:23 UTC
Description of problem:
Since kernel upgrade 4.9.6, startup and shutdown throw the following errors, which dmesg confirms.  Reverting to prior kernel 4.8.13 works fine.

[    1.525840] ACPI Error: No handler for Region [ECRM] (ffff99553a6f85a0) [EmbeddedControl] (20160422/evregion-166)
[    1.525844] ACPI Error: Region EmbeddedControl (ID=3) has no handler (20160422/exfldio-299)
[    1.525847] ACPI Error: Method parse/execution failed [\_TZ.RDEC] (Node ffff99553b0c5e38), AE_NOT_EXIST (20160422/psparse-542)
[    1.525852] ACPI Error: Method parse/execution failed [\_TZ.TZS0._TMP] (Node ffff99553b0c5f00), AE_NOT_EXIST (20160422/psparse-542)
[    1.525973] ACPI Error: No handler for Region [ECRM] (ffff99553a6f8ca8) [EmbeddedControl] (20160422/evregion-166)
[    1.525975] ACPI Error: Region EmbeddedControl (ID=3) has no handler (20160422/exfldio-299)
[    1.525978] ACPI Error: Method parse/execution failed [\_TZ.RDEC] (Node ffff99553b0c5e38), AE_NOT_EXIST (20160422/psparse-542)
[    1.525982] ACPI Error: Method parse/execution failed [\_TZ.TZS0._TMP] (Node ffff99553b0c5f00), AE_NOT_EXIST (20160422/psparse-542)



Version-Release number of selected component (if applicable):
4.9.6

How reproducible:
100%

Steps to Reproduce:
1.  Shutdown, startup, reboot
2.
3.

Actual results:WiFi will not stay connected more than a minute.  htop reports 1 core (of 4) gets pegged near 100%, but with no individual process showing high.

Expected results:
WiFi should remain connected.

Additional info:

Comment 2 bug_fedora 2017-02-08 03:18:43 UTC
Per _nobody_ suggestion, I tried upgrading to kernel 4.9.7.  No change, problem is exactly the same.

Comment 3 rupert.thurner 2017-02-11 10:31:28 UTC
i have the same issue that beginning with 4.9.6 the wlan connection drops, and asked on linux-pci for advise:
http://www.spinics.net/lists/linux-pci/msg58192.html

i tried 4.9.9 and the issue is still there. i tried 4.10-rc7 and it seemed gone. but i find it hard to reproduce as sometimes it takes hours until it disconnects.

but i do not think the acpi error is related, i am using the LTS kernel 4.4.x and the acpi error is there as well, but wlan works fine. duplicating a link for acpi here which was in the linked discussion thread above:
https://wiki.archlinux.org/index.php/DSDT 

if you could change the title to make clear that it is for the wlan issue?

Comment 4 Justin M. Forbes 2017-04-11 14:46:17 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 5 Justin M. Forbes 2017-04-28 17:18:57 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the 
relevant data from the latest kernel you are running and any data that might have been requested previously.